<?php 
	require "_header.php";
	require "data/combo_semester.php";
?>
<div id="main-content">
<script type="text/javascript" src="jquery/ux/CheckColumn.js"></script>
<link rel="stylesheet" type="text/css" href="css/Ext.css">
<script type="text/javascript" src="js/Ext.js"></script>
<script type="text/javascript" src="js/Ext_002.js"></script>	
<script type="text/javascript">
Ext.override(Ext.ux.form.LovCombo, {
	beforeBlur: Ext.emptyFn
});
var labelArray;
labelArray = [
	['Branch:<span class="comp">*</span>'],
	['Semester:<span class="comp"></span>'],
	['Student:'],
	['Head:<span class="comp">*</span>']
];

var headstore =  new Ext.data.ArrayStore({
	fields: ['head_id','head_name'],
	data:Ext.semester.headall
});

var branchstore = new Ext.data.ArrayStore({		
	fields: ['branch_id','branch_name'],
	data:Ext.semester.branchall
});

var semesterstore = new Ext.data.ArrayStore({		
	fields: ['semester_id','semester_name'],
	data:Ext.semester.semester
});
var divisionstore = new Ext.data.ArrayStore({
    	fields:['division_id','division_name'],
		data: Ext.semester.division
	});	
var head = new Ext.ux.form.LovCombo({
	name: 'head_name',
	id:'head_name',
	hiddenName:'head_hidden',
	labelSeparator:'',	
	fieldLabel :labelArray[3] ,
	displayField:'head_name',
	displayFieldTpl:'{head_name}',
	valueField: 'head_id',
	editable:true,
	allowBlank:false,
	width:205,
	triggerAction:'all',
	mode:'local',
	lastQuery:'',
	store: headstore,
	navigateItemsWithTab: false,
    listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('head_disp').setValue(this.getRawValue());
	}}
});

var branch = new Ext.form.ComboBox({
	name: 'branch_name',
	id:'branch_name',
	hiddenName:'branch_hidden',
	labelSeparator:'',	
	fieldLabel :labelArray[0] ,
	displayField:'branch_name',
	valueField: 'branch_id',
	editable:true,
	width:205,
	triggerAction:'all',
	mode:'local',
	allowBlank:false,
	store: branchstore,
    listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('branch_disp').setValue(this.getRawValue());
		Ext.getCmp('semester_name').reset();
		Ext.getCmp('student_id').reset();	
		studentstore.removeAll();
  	}}
});

var head_disp = new Ext.form.TextField({
	name: 'head_disp',
	id:'head_disp',
	hidden:true
});


var branch_disp = new Ext.form.TextField({
	name: 'branch_disp',
	id:'branch_disp',
	hidden:true
});

var semester_disp = new Ext.form.TextField({
	name: 'semester_disp',
	id:'semester_disp',
	hidden:true
});


var semester = new Ext.form.ComboBox({
	name: 'semester_name',
	id:'semester_name',
	hiddenName:'semester_hidden',
	labelSeparator:'',	
	fieldLabel :labelArray[1] ,
	displayField:'semester_name',
	valueField: 'semester_id',
	editable:true,
	triggerAction:'all',
	mode:'local',
	width:205,
	allowBlank:true,
	store: semesterstore,
    listeners: {'select': function(cmb, rec, idx){
		Ext.getCmp('semester_disp').setValue(this.getRawValue());
		if(Ext.getCmp('branch_name').getValue()!=""){
			studentstore.load({params: {'branch_id': Ext.getCmp('branch_name').getValue(),'semester_id': Ext.getCmp('semester_name').getValue()}});
			
		}else{
			alert('Select Branch First')
			this.reset();
		}
		var branch=Ext.getCmp('branch_name').getValue();
			divisionstore.filter('division_id',branch+cmb.getValue(),false,true,true);
			var cnt=divisionstore.getCount();
			if(cnt==1)
				{
					Ext.getCmp('division_id').setValue('A');
				}
  	}}
});

studentstore = new Ext.data.JsonStore({
	url:'data/getstudent-feesrecive3.php',
    root: 'data',
	totalProperty: 'total',
	fields: [{
		name: 'student_id',
		type:'int'
	},{
		name: 'student_name',
		type: 'string'
	},{
		name: 'student_gturegno',
		type: 'int'
	}] 
});

var student = new Ext.form.ComboBox({
	
					name: 'student_id',
					id:'student_id',
					hiddenName:'student_hidden',
					labelSeparator:'',	
					fieldLabel :labelArray[2] ,
					displayField:'student_name',
					valueField: 'student_id',
					editable:true,
					width:205,
					triggerAction:'all',
					mode:'local',
					allowBlank:true,
					store: studentstore,
					listeners: {'select': function(cmb, rec, idx){
					if(Ext.getCmp('branch_name').getValue()!="" && Ext.getCmp('semester_name').getValue()!=""){
								
						}else{
							alert('Select Branch And Semester First')
							this.reset();
						}
					}}
});

Ext.onReady(function(){
    Ext.QuickTips.init();
	
	var sectionliststore = new Ext.data.Store({
			url: 'data/getsectionlist.php',          
	        reader: new Ext.data.JsonReader({			
                fields: ['section_id', 'section_name'],
                root: 'rows'
            })
        });
   
   var student_feesreceipt = new Ext.FormPanel({
        labelWidth: 80,
        url:'transport-report-fees-dueamt-result.php',
		frame:true,
		standardSubmit:true,
		autoHeight: true,
        title: '',
        bodyStyle:'padding:6px 6px 0',
        layout:'form',
		defaultType: 'textfield',
        items :[branch,semester,{		
					xtype: 'combo',
					name: 'division_id',
					id:'division_id',
					labelSeparator:'',	
					fieldLabel :'Division :' ,
					forceSelection:true,				
					displayField:'division_name',
					valueField: 'division_name'
					,lastQuery:''
					,allowBlank:true
					,triggerAction:'all'
					,mode:'local'
					,store:divisionstore
					,width:205
					,selectOnFocus: true,
				
					listeners: {'select': function(cmb, rec, idx){
		if(Ext.getCmp('semester_name').getValue()!=""){
			studentstore.load({params: {'branch_id': Ext.getCmp('branch_name').getValue(),'semester_id': Ext.getCmp('semester_name').getValue(),'division_id': cmb.getValue()}});
			
		}else{
			alert('Select Semester First')
			this.reset();
		}}}
				},student,head,{xtype:'checkbox',name: 'show_mobile_no',
					id:'show_mobile_no',
					checked:true,
					labelSeparator:'',	
					fieldLabel :'Show Mobile :'},branch_disp,semester_disp,head_disp]
    });
	 var FeesReceiptReportWindow = new Ext.Window({
        title: 'Student Due Fees Report',
        autoHeight: true,
        width: 340,
		modal:true,
        layout: 'fit',
		border: false,
		closeAction:'close',
		collapsible:'true',
		items: student_feesreceipt,
		buttonAlign: 'center',
	    buttons: [{
							text:'View Report',iconCls: 'new-tab',
							handler: function(b, e)
							{	
							
			var branch_hidden=student_feesreceipt.getForm().findField('branch_hidden').getValue();
			var semester_hidden=student_feesreceipt.getForm().findField('semester_hidden').getValue();
			var division_id=student_feesreceipt.getForm().findField('division_id').getValue();
			var student_hidden=student_feesreceipt.getForm().findField('student_hidden').getValue();
			var branch_disp=student_feesreceipt.getForm().findField('branch_disp').getValue();
			var semester_disp=student_feesreceipt.getForm().findField('semester_disp').getValue();
			var head_hidden=student_feesreceipt.getForm().findField('head_hidden').getValue();
			var head_disp=student_feesreceipt.getForm().findField('head_disp').getValue();
			var show_mobile_no=student_feesreceipt.getForm().findField('show_mobile_no').getValue();
			
		//	alert(show_mobile_no);
			
			var redirect = 'transport-report-fees-dueamt-result.php?branch_hidden='+branch_hidden + '&semester_hidden='+semester_hidden + '&division_id='+division_id + '&student_hidden='+student_hidden + '&branch_disp='+branch_disp + '&semester_disp='+semester_disp + '&head_hidden='+head_hidden + '&head_disp='+head_disp + '&show_mobile_no='+show_mobile_no; 
                window.location = redirect;

							}
						},
				  {
							text: 'Reset', iconCls: 'icon-reset',
							handler: function () {   
			        student_feesreceipt.getForm().reset();
							Ext.getCmp('branch_name').focus(true,500);
								
		               }
			        },
				  {								
		   		       text: 'Close',iconCls: 'icon-close',
					       handler: function () {    
						  	 FeesReceiptReportWindow.close();
						
				          }
                       }
				 ]
    });
	 var varWidth =  (screen.width - FeesReceiptReportWindow.width)/2;
FeesReceiptReportWindow.setPosition(varWidth,((screen.height/4)-85));
FeesReceiptReportWindow.show();
	
Ext.getCmp('branch_name').focus(true,1000);

});
</script>
<div id="abcd" align="center"></div>
</div>
<?php require "_footer.php";?>